LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices



Reply
 
Search this Thread
Old 06-16-2008, 06:11 AM   #1
cfo
LQ Newbie
 
Registered: Jun 2008
Location: PAµRIS
Distribution: Ferora
Posts: 1

Rep: Reputation: 0
Angry # yum --enablerepo=updates-testing update ./kdelibs-4.0.5-2.fc9.i386.rpm 'kde*'


--> Résolution des dépendances terminée
6:kdelibs-4.0.5-2.fc9.i386 de ./kdelibs-4.0.5-2.fc9.i386.rpm a des problèmes de dépendances
--> Dépendance manquante*: libQtGui.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
6:kdelibs-4.0.5-2.fc9.i386 de ./kdelibs-4.0.5-2.fc9.i386.rpm a des problèmes de dépendances
--> Dépendance manquante*: libQtDesigner.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
6:kdelibs-4.0.5-2.fc9.i386 de ./kdelibs-4.0.5-2.fc9.i386.rpm a des problèmes de dépendances
--> Dépendance manquante*: libQt3Support.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
6:kdelibs-4.0.5-2.fc9.i386 de ./kdelibs-4.0.5-2.fc9.i386.rpm a des problèmes de dépendances
--> Dépendance manquante*: libQtSvg.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
Erreur*: Dépendance manquante*: libQtSvg.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
Erreur*: Dépendance manquante*: libQtDesigner.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
Erreur*: Dépendance manquante*: libQt3Support.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
Erreur*: Dépendance manquante*: libQtGui.so.4 est requis par le paquetage 6:kdelibs-4.0.5-2.fc9.i386 (./kdelibs-4.0.5-2.fc9.i386.rpm)
 
Old 06-16-2008, 06:52 AM   #2
colucix
Moderator
 
Registered: Sep 2003
Location: Bologna
Distribution: CentOS 6.5 OpenSuSE 12.3
Posts: 10,509

Rep: Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957Reputation: 1957
It looks like you're trying to update against a previously downloaded package. This may trigger the dependencies error. Why not simply let yum download and install/update the package along with its dependencies?
Code:
yum update kdelibs
Enabling fedora-updates-testing is not necessary in this case, since kdelibs-4.0.5-2 is available in the fedora-updates repository. Check if this is enabled (it should be by default) and proceed.
 
Old 06-17-2008, 05:08 PM   #3
Mara
Moderator
 
Registered: Feb 2002
Location: Grenoble
Distribution: Debian
Posts: 9,539

Rep: Reputation: 149Reputation: 149
From what I can read using my very bad French, it looks that you don't have Qt version 4.x installed. The package name is qt4.
 
  


Reply

Tags
dependancy, yum


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
bad kernel 2.6.25.4-30.fc9.i686 just downloaded via yum update landonmkelsey Linux - Kernel 5 06-10-2008 04:17 AM
FC9: yum freezes on "Setting up Update Process" rarsa Fedora 6 06-09-2008 01:36 PM
yum update not getting updates glowe Linux - Software 7 02-24-2007 11:53 PM
yum check-update says no updates when there are updates? MarkEHansen Linux - General 7 12-29-2006 06:16 PM
update glibc-2.3.5-6.i386.rpm jupiter3437 Linux - General 3 05-25-2005 05:11 AM


All times are GMT -5. The time now is 06:56 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration